Advertisements

vpxclient.exe runtime error vsphere vcenter import crashes

So I ran across the lovely error that vcenter would crash when I would go to import a machine. After much googling I finally ran across this post

http://www.vmware.com/support/vsphere4/doc/vsp_vcc_41_rel_notes.html

This is the jist of it

Microsoft Visual C++ Runtime Library error message is displayed during import or export of a machine
If a user environment has versions of VI Client 2.5 Update 1, Update 2, Update 3, or Update 4 that coexist with vSphere Client 4.0, and you install the vCenter Converter 4.1.0 client plug-in, when you start the vCenter Converter Import or Export wizard, the vSphere Client session is terminated abruptly. An OpenSSL DLL conflict between the VI Client versions and the vCenter Converter 4.1.0 client plug-in causes this problem.
Workaround: Go to the Launcher folder in the VI Client install directory, for example, C:\Program Files\VMware\Infrastructure\Virtual Infrastructure Client\Launcher, and delete the following DLL files from that location:

  • libeay32.dll
  • ssleay32.dll

I deleted these file from my windows\system32 folder (after verifying that the timestamp was old) and this did the trick.

Advertisements